| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_GPIO_003_T Struct Reference
IP: GPIO register block and driver (003)

## Detailed Description

GPIO port register block structure.

Definition at line 50 of file gpio_003.h.

`#include "gpio_003.h"`

## Data Fields
__IO uint32_t | DATA [4096]
uint32_t | RESERVED1 [4096]
__IO uint32_t | DIR
__IO uint32_t | IS
__IO uint32_t | IBE
__IO uint32_t | IEV
__IO uint32_t | IE
__I uint32_t | RIS
__I uint32_t | MIS
__O uint32_t | IC

## Field Documentation

__IO uint32_t DATA[4096]

< GPIO_PORT Structure Offset: 0x0000 to 0x3FFC Data address masking register (R/W)

Definition at line 51 of file gpio_003.h.

__IO uint32_t DIR

Offset: 0x8000 Data direction register (R/W)

Definition at line 53 of file gpio_003.h.

__IO uint32_t IBE

Offset: 0x8008 Interrupt both edges register (R/W)

Definition at line 55 of file gpio_003.h.

__O uint32_t IC

Offset: 0x801C Interrupt clear register (W)

Definition at line 60 of file gpio_003.h.

__IO uint32_t IE

Offset: 0x8010 Interrupt mask register (R/W)

Definition at line 57 of file gpio_003.h.

__IO uint32_t IEV

Offset: 0x800C Interrupt event register (R/W)

Definition at line 56 of file gpio_003.h.

__IO uint32_t IS

Offset: 0x8004 Interrupt sense register (R/W)

Definition at line 54 of file gpio_003.h.

__I uint32_t MIS

Offset: 0x8018 Masked interrupt status register (R/ )

Definition at line 59 of file gpio_003.h.

uint32_t RESERVED1[4096]

Definition at line 52 of file gpio_003.h.

__I uint32_t RIS

Offset: 0x8014 Raw interrupt status register (R/ )

Definition at line 58 of file gpio_003.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/gpio_003.h